updateArtifactDataSchema
curl --request POST \
--url https://api.askparable.com/api/artifacts/update-artifact-data-schema \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"artifactId": "<string>",
"dataSchema": {}
}
'import requests
url = "https://api.askparable.com/api/artifacts/update-artifact-data-schema"
payload = {
"artifactId": "<string>",
"dataSchema": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({artifactId: '<string>', dataSchema: {}})
};
fetch('https://api.askparable.com/api/artifacts/update-artifact-data-schema', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.askparable.com/api/artifacts/update-artifact-data-schema"
payload := strings.NewReader("{\n \"artifactId\": \"<string>\",\n \"dataSchema\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"createdAt": "<string>",
"createdBy": "<string>",
"fileName": "<string>",
"fileSize": 123,
"fileType": "csv",
"id": "<string>",
"schemaInferenceStatus": "not_requested",
"updatedAt": "<string>",
"updatedBy": "<string>",
"uploadStatus": "pending",
"uploadedBy": {
"email": "<string>",
"id": "<string>",
"name": "<string>"
},
"attributedTapId": "<string>",
"dataSchema": {},
"path": "<string>"
},
"meta": {
"requestId": "<string>",
"totalCount": 123
},
"links": {
"first": "<string>",
"last": "<string>",
"next": "<string>",
"prev": "<string>"
}
}{
"error": "<string>"
}{
"error": "<string>"
}updateArtifactDataSchema
Replace the data schema on an existing artifact after a manual edit. This does not change the outcome of the last automated inference attempt.
POST
/
api
/
artifacts
/
update-artifact-data-schema
updateArtifactDataSchema
curl --request POST \
--url https://api.askparable.com/api/artifacts/update-artifact-data-schema \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"artifactId": "<string>",
"dataSchema": {}
}
'import requests
url = "https://api.askparable.com/api/artifacts/update-artifact-data-schema"
payload = {
"artifactId": "<string>",
"dataSchema": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({artifactId: '<string>', dataSchema: {}})
};
fetch('https://api.askparable.com/api/artifacts/update-artifact-data-schema', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.askparable.com/api/artifacts/update-artifact-data-schema"
payload := strings.NewReader("{\n \"artifactId\": \"<string>\",\n \"dataSchema\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"createdAt": "<string>",
"createdBy": "<string>",
"fileName": "<string>",
"fileSize": 123,
"fileType": "csv",
"id": "<string>",
"schemaInferenceStatus": "not_requested",
"updatedAt": "<string>",
"updatedBy": "<string>",
"uploadStatus": "pending",
"uploadedBy": {
"email": "<string>",
"id": "<string>",
"name": "<string>"
},
"attributedTapId": "<string>",
"dataSchema": {},
"path": "<string>"
},
"meta": {
"requestId": "<string>",
"totalCount": 123
},
"links": {
"first": "<string>",
"last": "<string>",
"next": "<string>",
"prev": "<string>"
}
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Workspace slug. Overrides subdomain-based workspace resolution when provided.
Example:
"acme"
Optional request correlation ID echoed back in the response.
Example:
"550e8400-e29b-41d4-a716-446655440000"
Body
application/json